Payment Settlement Detail Report
Introduction
The Payment Settlement Report provides a list of payment Settlements that have taken place within the specified time period.
GET /api/pp/reports/payments/settlements/details
Request Parameters
| Field | Description | Required | Format | Max Len |
|---|---|---|---|---|
| start_date | Beginning date | Yes | YYYY-MM-DD | 10 |
| end_date | Ending date | No | YYYY-MM-DD | 10 |
| funds_transfer_id | Funds Transfer ID | No | String | 50 |
Example
GET /api/pp/reports/payments/settlements/details?start_date=2013-01-01&end_date=2013-01-07
Response
[
{
"txn_time": "2013-01-05T16:00:00Z",
"settle_date": "2013-01-06",
"patient_external_id": "125-1381",
"patient_last_name": "Smith",
"patient_first_name": "Nathan",
"txn_id": "035ee9ce-ba16-4d59-9240-9ae48f90002a",
"txn_type": "COPAY",
"pay_method": "CARD",
"action": "authorize",
"txn_amount": 99.50,
"merchant_id": "A5715BA8"
},
{
"txn_time": "2013-01-05T16:10:00Z",
"settle_date": "2013-01-06",
"patient_external_id": "125-2450",
"patient_last_name": "Green",
"patient_first_name": "Anthony",
"txn_id": "bdc3a050-2bcf-491e-a230-3071e1f74f99",
"txn_type": "COPAY",
"pay_method": "ACH",
"action": "authorize",
"txn_amount": 99.0,
"merchant_id": "A5715BA8"
}
]